saa/routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});


Route::middleware('auth')->group(function () {


    Route::middleware('passwordChanged')->group(function () {
        //Route vers le front
        Route::prefix('front')->namespace('Front')->group(function () {

            //Route notifications
            Route::get('/notifications/unread','NotificationController@getUnreadNotificationOfUser');
            Route::get('/notifications/all', 'NotificationController@getAllNotification');
            Route::get('/notifications/markasread', 'NotificationController@markAsRead');
            Route::get('/notifications/delete', 'NotificationController@deleteNotification');
            Route::delete('/notifications/delete/{id}', 'NotificationController@deleteOneNotification');
            
            //Route offre
            //Route accessible que par les ancien eleve - responsable ou admin du forum ou admin
            Route::middleware('accessFrontCreateOffre')->group(function () {
                route::get('/frontOffre/create', 'OffreController@create')->name('front.offre.create');
                route::post('/frontOffre', 'OffreController@store')->name('front.offre.store');
            });
            //Route accessible que par l'utilisateur de l'offre ou admin
            Route::middleware('accessFrontEditOffre')->group(function () {
                route::patch('/frontOffre/{offre}', 'OffreController@update')->name('front.offre.update');
                route::get('/frontOffre/{offre}/edit', 'OffreController@edit')->name('front.offre.edit');
                route::delete('/frontOffre/{offre}', 'OffreController@destroy')->name('front.offre.destroy');
            });
            //Route accessible par tous
            route::get('/frontOffre', 'OffreController@index')->name('front.offre.index');       
            route::get('/frontOffre/{offre}', 'OffreController@show')->name('front.offre.show');        
            Route::any('/frontOffre/search', 'OffreController@search')->name('front.offre.search');
            Route::get('/frontForum/addFavoriteOffre/{offre}', 'OffreController@addFavorite')->name('front.offre.addFavorite');
            Route::get('/frontForum/removeFavoriteOffre/{offre}', 'OffreController@removeFavorite')->name('front.offre.removeFavorite');


            //Route forum
            //Route accessible que par l'utilisateur du forum ou admin 
            Route::middleware('accessFrontEditForum')->group(function () {
                route::patch('/frontForum/{topic}', 'ForumController@update')->name('front.forum.update');
                route::get('/frontForum/{topic}/edit', 'ForumController@edit')->name('front.forum.edit');
                route::delete('/frontForum/{topic}', 'ForumController@destroy')->name('front.forum.destroy');
            });
            //Route accessible par tous
            route::get('/frontForum', 'ForumController@index')->name('front.forum.index');
            route::get('/frontForum/create', 'ForumController@create')->name('front.forum.create');
            route::post('/frontForum', 'ForumController@store')->name('front.forum.store');
            route::get('/frontForum/{topic}', 'ForumController@show')->name('front.forum.show');
            Route::post('/frontForum/resolu/{topic}', 'ForumController@resoluForum')->name('front.forum.resolu');
            Route::get('/frontForum/addFavoriteTopic/{topic}', 'ForumController@addFavorite')->name('front.forum.addFavorite');
            Route::get('/frontForum/removeFavoriteTopic/{topic}', 'ForumController@removeFavorite')->name('front.forum.removeFavorite');
            Route::get('/mesForums', 'ForumController@indexMesForums')->name('front.mesForum.index');
            Route::any('/mesForums/search', 'ForumController@searchMesForums')->name('front.mesForum.search');


            //Route categorie
            //Route accessible par tous
            route::get('/frontCaregorie', 'CategorieController@index')->name('front.categorie.index');
            route::get('/frontCaregorie/{categorie}', 'CategorieController@show')->name('front.categorie.show');
            Route::any('/frontCaregorie/search/{categorie}', 'CategorieController@search')->name('front.categorie.search');


            //Route reponses forums
            //Route accessible par tous
            Route::post('/reponseTopic/{topic}', 'ReponseController@store')->name('front.reponse.store');
            Route::patch('/reponseTopic/{reponseTopic}', 'ReponseController@update')->name('front.reponse.update');
            Route::delete('/reponseTopic/{reponseTopic}', 'ReponseController@destroy')->name('front.reponse.destroy');


            //Route questionnaire
            Route::middleware('accessFrontQuestionnaire')->group(function () {
                Route::get('/questionnaire', 'QuestionnaireController@index')->name('front.questionnaire.index');
                Route::get('/questionnaire/{questionnaire}', 'QuestionnaireController@show')->name('front.questionnaire.show');
                Route::post('/questionnaire/reponseStore/{questionnaire}', 'QuestionnaireController@reponseStore')->name('front.questionnaire.reponseStore');
                Route::any('/questionnaire/search', 'QuestionnaireController@search')->name('front.questionnaire.search');

                Route::middleware('responsableQuestionnaire')->group(function () {
                    Route::get('/questionnaire/responsableQuestionnaire/create', 'QuestionnaireController@create')->name('front.questionnaire.create');
                    Route::post('/questionnaire/responsableQuestionnaire/store', 'QuestionnaireController@store')->name('front.questionnaire.store');
                    Route::get('/questionnaire/responsableQuestionnaire/{questionnaire}/edit', 'QuestionnaireController@edit')->name('front.questionnaire.edit');
                    route::patch('/questionnaire/responsableQuestionnaire/{questionnaire}', 'QuestionnaireController@update')->name('front.questionnaire.update');
                
                    Route::get('/questionnaire/{questionnaire}/{utilisateur}', 'QuestionnaireController@showUser')->name('front.questionnaire.showUser');
                    
                    //Route pdf
                    Route::get('/dynamic_pdf/pdf/{questionnaire}/{utilisateur}', 'QuestionnaireController@pdf')->name('front.questionnaire.pdf');
                    Route::get('/dynamic_pdf/allpdf/{questionnaire}/', 'QuestionnaireController@allpdf')->name('front.questionnaire.allpdf');
                });    
            });

            //Route profil
            Route::get('/profil', 'ProfilController@profil')->name('front.profil.index');
            Route::get('/favoris', 'ProfilController@favoris')->name('front.profil.favoris');
            Route::put('/profilUpdate', 'ProfilController@updateProfil')->name('front.profil.update');
            Route::put('/profilDesactive', 'ProfilController@desactiveAccount')->name('front.profil.desactive');
            Route::delete('/profilDelete', 'ProfilController@deleteAccount')->name('front.profil.delete');
        });

        //Route vers le back
        Route::middleware('admin')->group(function () {
            Route::prefix('admin')->namespace('Admin')->group(function () {
                Route::name('admin')->get('/', 'AdminController@index');
                Route::resource('/offre', 'OffreController');
                Route::resource('/forum', 'ForumController');
                Route::resource('/questionnaire', 'QuestionnaireController');
                Route::resource('/user', 'UserController');
                Route::resource('/categorie', 'CategorieController');
                Route::resource('/role', 'RoleController');
                Route::patch('/user/active/{user}', 'UserController@active')->name('user.active');
                Route::get('/questionnaire/{questionnaire}/elements-questionnaire/create', 'ElementQuestionnaireController@create')->name('elements-questionnaire.create');
                Route::post('/questionnaire/{questionnaire}/elements-questionnaire', 'ElementQuestionnaireController@store')->name('elements-questionnaire.store');
                route::patch('/questionnaire/{questionnaire}/elements-questionnaire/{element}', 'ElementQuestionnaireController@update')->name('elements-questionnaire.update');
                route::get('/questionnaire/{questionnaire}/elements-questionnaire/{element}/edit', 'ElementQuestionnaireController@edit')->name('elements-questionnaire.edit');
                route::delete('/questionnaire/{questionnaire}/elements-questionnaire/{element}', 'ElementQuestionnaireController@destroy')->name('elements-questionnaire.destroy');
            });
        });
    });
    
    Route::get('/home', 'HomeController@index')->name('home');
    
    Route::post('/changePassword', 'HomeController@changePassword')->name('change-password');
});

    Auth::routes();

saa/resources/views/layouts/admin.blade.php
<!DOCTYPE html>
<!--
This is a starter template page. Use this page to start your new project from
scratch. This page gets rid of all links and provides the needed markup only.
-->
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>SAA Pasteur Mont-Roland</title>

  <link rel="icon" type="image/png" href="{{asset('front/images/favicon.ico') }}">
  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome Icons -->
  <link rel="stylesheet" href="{{asset('adminlte/plugins/fontawesome-free/css/all.min.css') }}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('adminlte/css/adminlte.min.css') }}">
  <link rel="stylesheet" href="{{asset('adminlte/css/back.css') }}">

  <link rel="stylesheet" href="{{asset('adminlte/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css') }}">
  <link rel="stylesheet" href="{{asset('adminlte/plugins/datatables-responsive/css/responsive.bootstrap4.min.css') }}">

  <!-- Select2 -->
  <link rel="stylesheet" href="{{asset('adminlte/plugins/select2/css/select2.min.css') }}">
  <link rel="stylesheet" href="{{asset('adminlte/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">

  <link rel="stylesheet" href="{{ asset('adminlte/plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css') }}">


</head>
<body class="hold-transition sidebar-mini">
  @include('sweetalert::alert')
<div class="wrapper">

  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
      <a href="{{route('home')}}" class="nav-link">Accueil</a>
      </li>
    </ul>
  <!-- Fin Navbar -->




    <ul class="navbar-nav ml-auto">
      <li class="nav-item d-none d-sm-inline-block">
        <a href="{{route('admin')}}" class="nav-link">Panneau d'administration</a>
        </li>
    </ul>
  
  </nav>
  <!-- /.navbar -->




  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <div class="brand-link">
      <img src={{ asset('front/images/icon_saa.png') }} class="img-fluid rounded mx-auto d-block" style="border-radius: 5rem!important"/>
    </div>
    <!-- Sidebar -->
    <div class="sidebar os-host os-theme-light os-host-overflow os-host-overflow-y os-host-resize-disabled os-host-transition os-host-scrollbar-horizontal-hidden">
    
      <!-- Sidebar Menu -->

      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <li class="nav-item">
            <a href="{{route('offre.index')}}" class="nav-link {{ request()->routeIs('offre.*') ? 'active' : ''}}">
              <i class="nav-icon fas fa-comments"></i>
              <p>
                Offres
              </p>
            </a>
        </ul>

        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <li class="nav-item">
            <a href="{{route('forum.index')}}" class="nav-link {{ request()->routeIs('forum.*') ? 'active' : ''}}">
              <i class="nav-icon fas fa-book-reader"></i>
              <p>
                Forum
              </p>
            </a>
        </ul>

        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <li class="nav-item">
            <a href="{{route('questionnaire.index')}}" class="nav-link {{ request()->routeIs('questionnaire.*') ? 'active' : ''}}">
              <i class="nav-icon fas fa-question-circle"></i>
              <p>
                Questionnaire
              </p>
            </a>
        </ul>

        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <li class="nav-item">
            <a href="{{route('user.index')}}" class="nav-link {{ request()->routeIs('user.*') ? 'active' : ''}}">
              <i class="nav-icon fas fa-users"></i>
              <p>
                Utilisateurs
              </p>
            </a>
        </ul>

        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <li class="nav-item">
            <a href="{{route('role.index')}}" class="nav-link {{ request()->routeIs('role.*') ? 'active' : ''}}">
              <i class="nav-icon fas fa-key"></i>
              <p>
                Roles
              </p>
            </a>
          </ul>   

        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <li class="nav-item">
            <a href="{{route('categorie.index')}}" class="nav-link {{ request()->routeIs('categorie.*') ? 'active' : ''}}">
              <i class="nav-icon fas fa-grip-horizontal"></i>
              <p>
                Catégories
              </p>
            </a>
        </ul>

       
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->



    
  </aside>

  
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper" style="min-height: 823px;">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">@yield('title')</h1>
          </div><!-- /.col -->

        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
    <div class="content">
      <div class="container-fluid"> 
          @yield('content')
      </div>
    </div>

    
  </div>
  <!-- /.content-wrapper -->


</div>

<!-- ./wrapper -->

<!-- REQUIRED SCRIPTS -->

<!-- jQuery 3 -->
<script src="https://code.jquery.com/jquery-3.2.0.min.js"></script>
<!-- Bootstrap 3.3.7 -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
<!-- AdminLTE App -->
<script src="{{asset('adminlte/js/adminlte.min.js') }}"></script>

<!-- DataTables -->
<script src="{{asset('adminlte/plugins/datatables/jquery.dataTables.min.js') }}"></script>
<script src="{{asset('adminlte/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js') }}"></script>
<script src="{{asset('adminlte/plugins/datatables-responsive/js/dataTables.responsive.min.js') }}"></script>
<script src="{{asset('adminlte/plugins/datatables-responsive/js/responsive.bootstrap4.min.js') }}"></script>
<script src="{{asset('adminlte/plugins/bs-custom-file-input/bs-custom-file-input.min.js') }}"></script>

<!-- SweetAlert -->
<script src="{{ asset('adminlte/plugins/sweetalert2/sweetalert2.min.js') }}"></script>

<!-- Select2 -->
<script src="{{asset('adminlte/plugins/select2/js/select2.full.min.js') }}"> </script>

@yield('script')


</body>
</html>

saa/resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">
                        <button>coucou</button>
                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @guest
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                            </li>
                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>

saa/resources/views/layouts/auth.blade.php
<html lang="en"><head>
	<title>SAA - @yield('title_page')</title>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
<!--===============================================================================================-->
	<link rel="icon" type="image/png" href="{{asset('front/images/favicon.ico') }}">
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{{asset('auth/vendor/bootstrap/css/bootstrap.min.css') }}">
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{{asset('auth/fonts/font-awesome-4.7.0/css/font-awesome.min.css') }}">
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{{asset('auth/vendor/animate/animate.css') }}">
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{{asset('auth/vendor/css-hamburgers/hamburgers.min.css') }}">
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{{asset('auth/vendor/select2/select2.min.css') }}">
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{{asset('auth/css/util.css')}}">
	<link rel="stylesheet" type="text/css" href="{{asset('auth/css/main.css')}}">

	<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<!--===============================================================================================-->
</head>
<body>
    @yield('content')

<!--===============================================================================================-->
<script src="{{asset('auth/vendor/jquery/jquery-3.2.1.min.js') }}"></script>
<!--===============================================================================================-->
	<script src="{{asset('auth/vendor/bootstrap/js/popper.js') }}"></script>
	<script src="{{asset('auth/vendor/bootstrap/js/bootstrap.min.js') }}"></script>
<!--===============================================================================================-->
	<script src="{{asset('auth/vendor/select2/select2.min.js') }}"></script>
<!--===============================================================================================-->
	<script src="{{asset('auth/vendor/tilt/tilt.jquery.min.js') }}"></script>
<!--===============================================================================================-->
	<script src="{{asset('auth/js/main.js') }}"></script>


</body></html>